# Override domain assignment

Overrides a domain's dynamic IP pool assignment. A domain's pool will not be updated by health checks while an override is present.

Endpoint: PUT /v1/dynamic_pools/domains/{name}/override
Version: 3.0.0
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `name` (string, required)
    The domain name

## Request fields (multipart/form-data):

  - `pool` (string, required)
    The name of the Dynamic IP pool to override the domain with. Must be a valid pool name (ex: dynamic_good, dynamic_new, etc.)

## Response 200:

  - `200` (unknown)
    A 200 response

## Response 400:

  - `400` (unknown)
    A 400 response

## Response 400 fields (application/json):

  - `Field` (string, required)

  - `Value` (string, required)

## Response 200 examples:

  - `Example` (unknown)

## Response 400 examples:

  - `Example` (unknown)

